let proxy = {
  "/api/ecs_core": {
    target: process.env.VUE_APP_ECS_CORE, //代理跨域转地址，基础信息
    changeOrigin: true,
  },
  "/api/ecs_outlet/": {
    target: process.env.VUE_APP_ECS_CORE, //代理跨域转地址，照片上传
    changeOrigin: true,
  },
  "/facepp/v3": {
    secure: false,
    target: "https://api-cn.faceplusplus.com",
    changeOrigin: true,
  },
  [process.env.VUE_APP_UPYUN_BUCKETURL]: {
    secure: false,
    target: "http://v0.api.upyun.com",
    changeOrigin: true,
  },
  [process.env.VUE_APP_UPYUN_BUCKET]: {
    secure: false,
    target: "http://v0.api.upyun.com",
    changeOrigin: true,
  },
};

module.exports = {
  publicPath: "/photo-upload",
  devServer: {
    proxy,
  },
};
